Problème Debian

[Fermé]
Signaler
-
Messages postés
30183
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
12 octobre 2021
-
Bonjour,

J'ai récemment installé Debian Squeeze, et j'ai pas mal de soucis. Tout d'abord, la lecture de vidéos YouTube est ardue, voir impossible. Ensuite, Debian ne reconnait pas ma clé WiFi alors qu'Ubuntu 10.10 la reconnait ! Auriez vous une solution, notamment pour mon premier problème SVP ?
PS: je précise que j'ai installé les plugin Java et Flash, les drivers ATI (téléchargés sur le site officiel), que je suis sous 6.0 en 64bit (AMD Athlon II X4 640), et que je navigue sous Chromium et Iceweal (et tous les plugins sont présents).

9 réponses

Messages postés
30183
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
12 octobre 2021
7 189
On va faire un problème à la fois, par exemple la carte wifi. C'est normal que la carte ne soit pas reconnu directement sous Debian (cf philosophie de debian sur les pilotes propriétaires).

Ce n'est pas très grave et si la carte est reconnue sous ubuntu, on ne devrait pas avoir de problème sous debian sous réserve de trouver la méthode adéquate. Bon évidemment ce sera un peu plus technique, mais Debian s'adresse à un public un peu plus chevronné.

Pour déterminer la plus adaptée, donne nous le modèle de la carte que tu peux retrouver avec l'une de ces deux commandes :

lsusb
lspci


Tu peux d'ores et déjà commencer à lire ceci :

http://www.mistra.fr/tutoriel-debian-module-assistant.html
http://www.mistra.fr/tutoriel-linux-compiler.html

... car les trois grandes méthodes sont :
1) utiliser module assitant (voir lien 1)
2) compiler un driver linux fourni sur le site du constructeur (voir lien 2)
3) utiliser ndiswrapper (voir n'importe quel tutoriel ndiswrapper, que l'on peut installer via aptitude ou module-assistant)

Bonne chance
Messages postés
14723
Date d'inscription
samedi 9 décembre 2006
Statut
Contributeur
Dernière intervention
8 octobre 2021
2 366
bonjour,
c'est marrant les reponses "pour resoudre le problemes t'aurai du prendre une 32 bits !! " ça va changer quoi
le wifi est'il allumé ?
pour le plugins tu as pris quel plugins flash et ou est'il installe ?
a+
Messages postés
4266
Date d'inscription
vendredi 14 août 2009
Statut
Membre
Dernière intervention
27 mars 2013
884
ça va changer quoi
La stabilité du système, les pilotes ... bref tout.
Messages postés
30183
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
12 octobre 2021
7 189
Mouais je ne suis pas vraiment d'accord avec toi kevin. Si effectivement on peut accéder à la totalité de sa RAM avec des noyaux x86 muni de l'extension bigmem ou pae, les versions 64 bits fonctionnent aujourd'hui correctement.

Je suis d'accord avec la remarque Franzux. C'est bien d'affirmer, mais citer ses sources, c'est encore mieux ;-)

Il y a effectivement eu des problèmes avec les architectures 64 bits (un trou de sécurité pour autant que je me souvienne) mais c'était déjà il y a un moment...

Voici un débat plus argumenté :
https://blog.fedora-fr.org/renault/post/Que-choisir-:-une-distribution-en-32-ou-64-bits

Et à la limite la question n'est pas là ! Il a choisi une architecture 64 bits, c'est son choix :-) Donc si on peut se recentrer sur le problème au lieu d'amorcer un troll ce serait plutôt pas mal...
Le wifi ce n'est pas trop grave... c'est la clé EssentielB de Boulanger ! Mais je suis en LAN maintenant... Ce qui me pose le plus problème, c'est l'Internet : ne pas pouvoir lancer d'Apps flash ou lire des vidéos YouTube (je précise que les drivers ATI sont bons), c'est un pb !
Messages postés
14723
Date d'inscription
samedi 9 décembre 2006
Statut
Contributeur
Dernière intervention
8 octobre 2021
2 366
re,
tu n'a pas repondu à mes questions concernant les plugins
a+
Messages postés
30183
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
12 octobre 2021
7 189
Pour flash : as-tu installé les ia32libs, iceweasel et flashplayer-mozilla ?

aptitude update
aptitude safe-upgrade
aptitude install ia32libs iceweasel iceweasel-l10n-fr flashplayer-mozilla


Et pour le wifi quel est le modèle de la carte ?

lspci 
lsusb


Bonne chance
Messages postés
4590
Date d'inscription
jeudi 23 octobre 2003
Statut
Contributeur
Dernière intervention
6 septembre 2021
481
Bonjour,

Depuis, as-tu migré vers la dernière version de Debian 6.0.2 (Squeeze)
https://www.debian.org/distrib/

--> Utilises-tu Mozilla Firefox 5.0.1 ou Opera 11.50 ou Google Chrome 12.0.742.124 ?

--> plugin Java : Java version 7 :
https://www.oracle.com/java/technologies/javase/upgrade.html

et Flash 10.3 : https://www.adobe.com/products/flashplayer.html

les drivers ATI sont-ils encore maintenus pour Linux ?
Messages postés
30183
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
12 octobre 2021
7 189
Non non ce n'est pas comme ça qu'on fait le travail proprement :-)

Que ce soit java flash firefox ou opera :
1) on installe par le gestionnaire de paquets (synaptic, apt-get, aptitude...)
2) du coup on se fout du numéro de version (le gestionnaire de paquets prendra la plus récente pour la release de debian choisie).

Cf : https://forums.commentcamarche.net/forum/oldest/22762601-probleme-debian#11

De plus squeeze n'est pas la dernière version de debian (c'est la stable). Actuellement il existe des versions plus récentes mais a priori moins testées : wheezy (testing) et sid (unstable).

Par rapport aux pilotes ati, il en existe plusieurs et c'est un autre problème (radeon, radeonhd et fglrx). On peut se référer à la page de documentation ubuntu à ce sujet car sous Debian ça ne change pas grand chose.
http://doc.ubuntu-fr.org/amd-ati?redirect=1

Merci de ne pas disperser le sujet, sur ce fil de discussion on va se focaliser par exemple sur un problème (mettons la carte wifi) afin de s'y retrouver, car sinon je vais devoir sévir ;-)


J'invite Faab
- à ouvrir autant de fil de discussion que nécessaire sur le forum afin d'avoir un fil par sujet
- à donner dans ce fil de discussion les informations nécessaires pour la résolution d'un des problème qu'il rencontre (commençons par exemple par le wifi).

Merci
Ma config:
Gigabyte 880GM-UD2H
Athlon II X4 640
Gigabyte HD5770
Gskill 4Go

Les plugins flash-plugin-non-free et tous les Javas sont installés ; les drivers ATI ont étés téléchargés sur le site officiels et le système est à jour (ainsi que tous les programmes et plugins) !

Je rappelle être sous 64bit !
Messages postés
30183
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
12 octobre 2021
7 189
Les plugins flash-plugin-non-free et tous les Javas sont installés ; les drivers ATI ont étés téléchargés sur le site officiels et le système est à jour (ainsi que tous les programmes et plugins) !

Je crois que tu ne veux pas comprendre. Ce fil de discussion devient sans queue ni tête, donc je le ferme afin qu'on reparte sur des bases saines.

Sur un forum, on essaye autant que possible de traiter un problème par fil de discussion, sinon il devient très compliqué à suivre aussi bien pour les personnes qui répondent que pour les personnes qui cherchent des informations et qui tombent sur cette discussion.

C'est pourquoi je te demande d'ouvrir un sujet par problème sur le forum linux.

En attendant tu peux lire ceci, car de ce que je peux lire, je pense qu'il faut que tu te familiarises plus avec APT et que tu installes tout autant que possible via APT :
http://www.mistra.fr/tutoriel-linux-apt.html
http://www.mistra.fr/tutoriel-linux-apt-configuration.html

Je rappelle être sous 64bit !

Justement, quand on passe par le gestionnaire de paquets, on ne se pose pas ce genre de questions existentielles :-)

=>

Maintenant, si tu as besoin d'aide :
- Ouvre un nouveau sujet sur le forum linux pour ta carte wifi
- Ouvre un nouveau sujet sur le forum linux pour ton plugin java
- Ouvre un nouveau sujet sur le forum linux pour ton plugin flash

Merci
Messages postés
4266
Date d'inscription
vendredi 14 août 2009
Statut
Membre
Dernière intervention
27 mars 2013
884
'lut,

Pourquoi avoir pris la 64bit ?

Totalement inutile ...

Si tu avais installé la i386 tu aurais déjà eu moins de soucis.
Messages postés
8903
Date d'inscription
mercredi 5 décembre 2007
Statut
Contributeur
Dernière intervention
27 octobre 2015
1 140
"Totalement inutile ... "

Qu'en sais-tu ?

J'ai régulièrement besoin d'utiliser du 64 bits ! À quoi bon avoir des OS 64 bits ainsi que du matériel 64 bits si c'est pour s'entendre conseiller que ça ne sert à rien... !!!
Messages postés
4266
Date d'inscription
vendredi 14 août 2009
Statut
Membre
Dernière intervention
27 mars 2013
884
Du 64bits pour Windows oui ( gestion mémoire).
Pour Linux, non, totalement inutile ;)
D'ailleurs, ils le disent : à n'utiliser qu'à des fins de test car pas stable...
Messages postés
8903
Date d'inscription
mercredi 5 décembre 2007
Statut
Contributeur
Dernière intervention
27 octobre 2015
1 140
"ils le disent"

C'est qui "ils" ?
Messages postés
1234
Date d'inscription
mercredi 11 mai 2005
Statut
Membre
Dernière intervention
25 janvier 2018
259
j'utilise la version linux 64 bits depuis que mon processeur le supporte (5ans) . Je ne me suis meme pas poser la question de poursuivre sur la 32 bits.

Je retourne la question pourquoi prendre la version 32 bits alors que maintenant tous les pc du marché son équipé du processeur qui en fait le double ?
Messages postés
30183
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
12 octobre 2021
7 189